@echo off
if not exist doom1.wad goto error
if not exist dmaud.exe goto error
if not exist %1\new1.wav goto error
if exist doom1.ori goto copydone
echo Copying your original doom1.wad file... (Please wait!)
copy doom1.wad doom1.ori
if errorlevel 1 goto majorprob
echo Copy successful!
:copydone
echo Copying sound number 1 of 49
dmaud 1 -q -s %1\new1.wav
echo Copying sound number 2 of 49
dmaud 2 -q -s %1\new2.wav
echo Copying sound number 3 of 49
dmaud 3 -q -s %1\new3.wav
echo Copying sound number 4 of 49
dmaud 4 -q -s %1\new4.wav
echo Copying sound number 5 of 49
dmaud 5 -q -s %1\new5.wav
echo Copying sound number 6 of 49
dmaud 6 -q -s %1\new6.wav
echo Copying sound number 7 of 49
dmaud 7 -q -s %1\new7.wav
echo Copying sound number 8 of 49
dmaud 8 -q -s %1\new8.wav
echo Copying sound number 9 of 49
dmaud 9 -q -s %1\new9.wav
echo Copying sound number 10 of 49
dmaud 10 -q -s %1\new10.wav
echo Copying sound number 11 of 49
dmaud 11 -q -s %1\new11.wav
echo Copying sound number 12 of 49
dmaud 12 -q -s %1\new12.wav
echo Copying sound number 13 of 49
dmaud 13 -q -s %1\new13.wav
echo Copying sound number 14 of 49
dmaud 14 -q -s %1\new14.wav
echo Copying sound number 15 of 49
dmaud 15 -q -s %1\new15.wav
echo Copying sound number 16 of 49
dmaud 16 -q -s %1\new16.wav
echo Copying sound number 17 of 49
dmaud 17 -q -s %1\new17.wav
echo Copying sound number 18 of 49
dmaud 18 -q -s %1\new18.wav
echo Copying sound number 19 of 49
dmaud 19 -q -s %1\new19.wav
echo Copying sound number 20 of 49
dmaud 20 -q -s %1\new20.wav
echo Copying sound number 21 of 49
dmaud 21 -q -s %1\new21.wav
echo Copying sound number 22 of 49
dmaud 22 -q -s %1\new22.wav
echo Copying sound number 23 of 49
dmaud 23 -q -s %1\new23.wav
echo Copying sound number 24 of 49
dmaud 24 -q -s %1\new24.wav
echo Copying sound number 25 of 49
dmaud 25 -q -s %1\new25.wav
echo Copying sound number 26 of 49
dmaud 26 -q -s %1\new26.wav
echo Copying sound number 27 of 49
dmaud 27 -q -s %1\new27.wav
echo Copying sound number 28 of 49
dmaud 28 -q -s %1\new28.wav
echo Copying sound number 29 of 49
dmaud 29 -q -s %1\new29.wav
echo Copying sound number 30 of 49
dmaud 30 -q -s %1\new30.wav
echo Copying sound number 31 of 49
dmaud 31 -q -s %1\new31.wav
echo Copying sound number 32 of 49
dmaud 32 -q -s %1\new32.wav
echo Copying sound number 33 of 49
dmaud 33 -q -s %1\new33.wav
echo Copying sound number 34 of 49
dmaud 34 -q -s %1\new34.wav
echo Copying sound number 35 of 49
dmaud 35 -q -s %1\new35.wav
echo Copying sound number 36 of 49
dmaud 36 -q -s %1\new36.wav
echo Copying sound number 37 of 49
dmaud 37 -q -s %1\new37.wav
echo Copying sound number 38 of 49
dmaud 38 -q -s %1\new38.wav
echo Copying sound number 39 of 49
dmaud 39 -q -s %1\new39.wav
echo Copying sound number 40 of 49
dmaud 40 -q -s %1\new40.wav
echo Copying sound number 41 of 49
dmaud 41 -q -s %1\new41.wav
echo Copying sound number 42 of 49
dmaud 42 -q -s %1\new42.wav
echo Copying sound number 43 of 49
dmaud 43 -q -s %1\new43.wav
echo Copying sound number 44 of 49
dmaud 44 -q -s %1\new44.wav
echo Copying sound number 45 of 49
dmaud 45 -q -s %1\new45.wav
echo Copying sound number 46 of 49
dmaud 46 -q -s %1\new46.wav
echo Copying sound number 47 of 49
dmaud 47 -q -s %1\new47.wav
echo Copying sound number 48 of 49
dmaud 48 -q -s %1\new48.wav
echo Copying sound number 49 of 49
dmaud 49 -q -s %1\new49.wav
echo Done!
echo Remember that your original doom1.wad file has been copied to doom1.ori.
echo To re-establish the original sounds, do this:
echo 
echo rename doom1.wad doom1.sil
echo rename doom1.ori doom1.wad
echo 
echo Now type doom to begin with the silliness.
goto end
:error
echo Hello!  To install the doom silly sounds, you must be in your doom directory,
echo you must have Bill Neisius' most excellent DMAUD.EXE program also there, and
echo you must call this program thusly:
echo 
echo runme directory_where_you_pkunzipped_the_sound_files.
echo 
echo A copy of your DOOM1.WAD file will be made to DOOM1.ORI (Hopefully you have
echo enough free space for that) and then the sounds will be loaded.
echo 
echo The dmsilly sounds were created on 94/01/05 by Daniel Chouinard, member of
echo the Touch & Tones auricular procrastinators, grand ovoid priest, and all-around
echo froopy guy.  V137.1A, fourth EOM release.  Oh, by the way, the 'F' word is
echo indeed present in this release.  If you're easily offended, SMEG OFF!  :)
echo Thanks go to:
echo               Bill Neisius (Author of DMAUD.EXE)
echo               PeterPuck(tm)(c)(R)(coucou!) (Not the author of DMAUD.EXE)
goto end
:majorprob
echo Arrrgh!
echo Could not copy!!!
:end
